import {
  PostalCodeRuleInclusionTypeEnum,
  SearchProductsQuery,
  ShippingMethodTypeEnum,
  ShippingZoneFragment,
  ShippingZoneQuery,
  WeightUnitsEnum,
} from "@dashboard/graphql";
import { RelayToFlat } from "@dashboard/types";

export const shippingZones: ShippingZoneFragment[] = [
  {
    __typename: "ShippingZone",
    countries: [
      {
        __typename: "CountryDisplay",
        code: "AX",
        country: "Wyspy Alandzkie",
      },
      {
        __typename: "CountryDisplay",
        code: "AL",
        country: "Albania",
      },
      {
        __typename: "CountryDisplay",
        code: "AD",
        country: "Andora",
      },
      {
        __typename: "CountryDisplay",
        code: "AT",
        country: "Austria",
      },
      {
        __typename: "CountryDisplay",
        code: "BY",
        country: "Białoruś",
      },
      {
        __typename: "CountryDisplay",
        code: "BE",
        country: "Belgia",
      },
      {
        __typename: "CountryDisplay",
        code: "BA",
        country: "Bośnia i Hercegowina",
      },
      {
        __typename: "CountryDisplay",
        code: "BG",
        country: "Bułgaria",
      },
      {
        __typename: "CountryDisplay",
        code: "HR",
        country: "Chorwacja",
      },
      {
        __typename: "CountryDisplay",
        code: "CZ",
        country: "Czechy",
      },
      {
        __typename: "CountryDisplay",
        code: "DK",
        country: "Dania",
      },
      {
        __typename: "CountryDisplay",
        code: "EE",
        country: "Estonia",
      },
      {
        __typename: "CountryDisplay",
        code: "FO",
        country: "Wyspy Owcze",
      },
      {
        __typename: "CountryDisplay",
        code: "FI",
        country: "Finlandia",
      },
      {
        __typename: "CountryDisplay",
        code: "FR",
        country: "Francja",
      },
      {
        __typename: "CountryDisplay",
        code: "DE",
        country: "Niemcy",
      },
      {
        __typename: "CountryDisplay",
        code: "GI",
        country: "Gibraltar",
      },
      {
        __typename: "CountryDisplay",
        code: "GR",
        country: "Grecja",
      },
      {
        __typename: "CountryDisplay",
        code: "GG",
        country: "Guernsey",
      },
      {
        __typename: "CountryDisplay",
        code: "VA",
        country: "Watykan",
      },
      {
        __typename: "CountryDisplay",
        code: "HU",
        country: "Węgry",
      },
      {
        __typename: "CountryDisplay",
        code: "IS",
        country: "Islandia",
      },
      {
        __typename: "CountryDisplay",
        code: "IE",
        country: "Irlandia",
      },
      {
        __typename: "CountryDisplay",
        code: "IM",
        country: "Wyspa Man",
      },
      {
        __typename: "CountryDisplay",
        code: "IT",
        country: "Włochy",
      },
      {
        __typename: "CountryDisplay",
        code: "JE",
        country: "Jersey",
      },
      {
        __typename: "CountryDisplay",
        code: "LV",
        country: "Łotwa",
      },
      {
        __typename: "CountryDisplay",
        code: "LI",
        country: "Liechtenstein",
      },
      {
        __typename: "CountryDisplay",
        code: "LT",
        country: "Litwa",
      },
      {
        __typename: "CountryDisplay",
        code: "LU",
        country: "Luksemburg",
      },
      {
        __typename: "CountryDisplay",
        code: "MK",
        country: "Macedonia",
      },
      {
        __typename: "CountryDisplay",
        code: "MT",
        country: "Malta",
      },
      {
        __typename: "CountryDisplay",
        code: "MD",
        country: "Mołdawia",
      },
      {
        __typename: "CountryDisplay",
        code: "MC",
        country: "Monako",
      },
      {
        __typename: "CountryDisplay",
        code: "ME",
        country: "Czarnogóra",
      },
      {
        __typename: "CountryDisplay",
        code: "NL",
        country: "Holandia",
      },
      {
        __typename: "CountryDisplay",
        code: "NO",
        country: "Norwegia",
      },
      {
        __typename: "CountryDisplay",
        code: "PL",
        country: "Polska",
      },
      {
        __typename: "CountryDisplay",
        code: "PT",
        country: "Portugalia",
      },
      {
        __typename: "CountryDisplay",
        code: "RO",
        country: "Rumunia",
      },
      {
        __typename: "CountryDisplay",
        code: "RU",
        country: "Rosja",
      },
      {
        __typename: "CountryDisplay",
        code: "SM",
        country: "San Marino",
      },
      {
        __typename: "CountryDisplay",
        code: "RS",
        country: "Serbia",
      },
      {
        __typename: "CountryDisplay",
        code: "SK",
        country: "Słowacja",
      },
      {
        __typename: "CountryDisplay",
        code: "SI",
        country: "Słowenia",
      },
      {
        __typename: "CountryDisplay",
        code: "ES",
        country: "Hiszpania",
      },
      {
        __typename: "CountryDisplay",
        code: "SJ",
        country: "Svalbard i Jan Mayen",
      },
      {
        __typename: "CountryDisplay",
        code: "SE",
        country: "Szwecja",
      },
      {
        __typename: "CountryDisplay",
        code: "CH",
        country: "Szwajcaria",
      },
      {
        __typename: "CountryDisplay",
        code: "UA",
        country: "Ukraina",
      },
      {
        __typename: "CountryDisplay",
        code: "GB",
        country: "Wielka Brytania",
      },
    ],
    description: "Shipping zone description",
    id: "U2hpcHBpbmdab25lOjE=",
    metadata: [],
    name: "Europe",
    privateMetadata: [],
  },
  {
    __typename: "ShippingZone",
    countries: [
      {
        __typename: "CountryDisplay",
        code: "AS",
        country: "Samoa Amerykańskie",
      },
      {
        __typename: "CountryDisplay",
        code: "AU",
        country: "Australia",
      },
      {
        __typename: "CountryDisplay",
        code: "CX",
        country: "Wyspa Bożego Narodzenia",
      },
      {
        __typename: "CountryDisplay",
        code: "CC",
        country: "Wyspy Kokosowe",
      },
      {
        __typename: "CountryDisplay",
        code: "CK",
        country: "Wyspy Cooka",
      },
      {
        __typename: "CountryDisplay",
        code: "FJ",
        country: "Fidżi",
      },
      {
        __typename: "CountryDisplay",
        code: "PF",
        country: "Polinezja Francuska",
      },
      {
        __typename: "CountryDisplay",
        code: "GU",
        country: "Guam",
      },
      {
        __typename: "CountryDisplay",
        code: "HM",
        country: "Wyspy Heard i McDonalda",
      },
      {
        __typename: "CountryDisplay",
        code: "KI",
        country: "Kiribati",
      },
      {
        __typename: "CountryDisplay",
        code: "MH",
        country: "Wyspy Marshalla",
      },
      {
        __typename: "CountryDisplay",
        code: "FM",
        country: "Mikronezja",
      },
      {
        __typename: "CountryDisplay",
        code: "NR",
        country: "Nauru",
      },
      {
        __typename: "CountryDisplay",
        code: "NC",
        country: "Nowa Kaledonia",
      },
      {
        __typename: "CountryDisplay",
        code: "NZ",
        country: "Nowa Zelandia",
      },
      {
        __typename: "CountryDisplay",
        code: "NU",
        country: "Niue",
      },
      {
        __typename: "CountryDisplay",
        code: "NF",
        country: "Norfolk",
      },
      {
        __typename: "CountryDisplay",
        code: "MP",
        country: "Mariany Północne",
      },
      {
        __typename: "CountryDisplay",
        code: "PW",
        country: "Palau",
      },
      {
        __typename: "CountryDisplay",
        code: "PG",
        country: "Papua-Nowa Gwinea",
      },
      {
        __typename: "CountryDisplay",
        code: "PN",
        country: "Pitcairn",
      },
      {
        __typename: "CountryDisplay",
        code: "WS",
        country: "Samoa",
      },
      {
        __typename: "CountryDisplay",
        code: "SB",
        country: "Wyspy Salomona",
      },
      {
        __typename: "CountryDisplay",
        code: "TK",
        country: "Tokelau",
      },
      {
        __typename: "CountryDisplay",
        code: "TO",
        country: "Tonga",
      },
      {
        __typename: "CountryDisplay",
        code: "TV",
        country: "Tuvalu",
      },
      {
        __typename: "CountryDisplay",
        code: "UM",
        country: "Dalekie Wyspy Mniejsze Stanów Zjednoczonych",
      },
      {
        __typename: "CountryDisplay",
        code: "VU",
        country: "Vanuatu",
      },
      {
        __typename: "CountryDisplay",
        code: "WF",
        country: "Wallis i Futuna",
      },
    ],
    description: "Shipping zone description",
    id: "U2hpcHBpbmdab25lOjI=",
    metadata: [],
    name: "Oceania",
    privateMetadata: [],
  },
  {
    __typename: "ShippingZone",
    countries: [
      {
        __typename: "CountryDisplay",
        code: "AF",
        country: "Afganistan",
      },
      {
        __typename: "CountryDisplay",
        code: "AM",
        country: "Armenia",
      },
      {
        __typename: "CountryDisplay",
        code: "AZ",
        country: "Azerbejdżan",
      },
      {
        __typename: "CountryDisplay",
        code: "BH",
        country: "Bahrajn",
      },
      {
        __typename: "CountryDisplay",
        code: "BD",
        country: "Bangladesz",
      },
      {
        __typename: "CountryDisplay",
        code: "BT",
        country: "Bhutan",
      },
      {
        __typename: "CountryDisplay",
        code: "BN",
        country: "Brunei",
      },
      {
        __typename: "CountryDisplay",
        code: "KH",
        country: "Kambodża",
      },
      {
        __typename: "CountryDisplay",
        code: "CN",
        country: "Chiny",
      },
      {
        __typename: "CountryDisplay",
        code: "CY",
        country: "Cypr",
      },
      {
        __typename: "CountryDisplay",
        code: "GE",
        country: "Gruzja",
      },
      {
        __typename: "CountryDisplay",
        code: "HK",
        country: "Hongkong",
      },
      {
        __typename: "CountryDisplay",
        code: "IN",
        country: "Indie",
      },
      {
        __typename: "CountryDisplay",
        code: "ID",
        country: "Indonezja",
      },
      {
        __typename: "CountryDisplay",
        code: "IR",
        country: "Iran",
      },
      {
        __typename: "CountryDisplay",
        code: "IQ",
        country: "Irak",
      },
      {
        __typename: "CountryDisplay",
        code: "IL",
        country: "Izrael",
      },
      {
        __typename: "CountryDisplay",
        code: "JP",
        country: "Japonia",
      },
      {
        __typename: "CountryDisplay",
        code: "JO",
        country: "Jordania",
      },
      {
        __typename: "CountryDisplay",
        code: "KZ",
        country: "Kazachstan",
      },
      {
        __typename: "CountryDisplay",
        code: "KP",
        country: "Korea Północna",
      },
      {
        __typename: "CountryDisplay",
        code: "KR",
        country: "Korea Południowa",
      },
      {
        __typename: "CountryDisplay",
        code: "KW",
        country: "Kuwejt",
      },
      {
        __typename: "CountryDisplay",
        code: "KG",
        country: "Kirgistan",
      },
      {
        __typename: "CountryDisplay",
        code: "LA",
        country: "Laos",
      },
      {
        __typename: "CountryDisplay",
        code: "LB",
        country: "Liban",
      },
      {
        __typename: "CountryDisplay",
        code: "MO",
        country: "Makau",
      },
      {
        __typename: "CountryDisplay",
        code: "MY",
        country: "Malezja",
      },
      {
        __typename: "CountryDisplay",
        code: "MV",
        country: "Malediwy",
      },
      {
        __typename: "CountryDisplay",
        code: "MN",
        country: "Mongolia",
      },
      {
        __typename: "CountryDisplay",
        code: "MM",
        country: "Mjanma",
      },
      {
        __typename: "CountryDisplay",
        code: "NP",
        country: "Nepal",
      },
      {
        __typename: "CountryDisplay",
        code: "OM",
        country: "Oman",
      },
      {
        __typename: "CountryDisplay",
        code: "PK",
        country: "Pakistan",
      },
      {
        __typename: "CountryDisplay",
        code: "PS",
        country: "Palestyna",
      },
      {
        __typename: "CountryDisplay",
        code: "PH",
        country: "Filipiny",
      },
      {
        __typename: "CountryDisplay",
        code: "QA",
        country: "Katar",
      },
      {
        __typename: "CountryDisplay",
        code: "SA",
        country: "Arabia Saudyjska",
      },
      {
        __typename: "CountryDisplay",
        code: "SG",
        country: "Singapur",
      },
      {
        __typename: "CountryDisplay",
        code: "LK",
        country: "Sri Lanka",
      },
      {
        __typename: "CountryDisplay",
        code: "SY",
        country: "Syria",
      },
      {
        __typename: "CountryDisplay",
        code: "TW",
        country: "Tajwan",
      },
      {
        __typename: "CountryDisplay",
        code: "TJ",
        country: "Tadżykistan",
      },
      {
        __typename: "CountryDisplay",
        code: "TH",
        country: "Tajlandia",
      },
      {
        __typename: "CountryDisplay",
        code: "TL",
        country: "Timor Wschodni",
      },
      {
        __typename: "CountryDisplay",
        code: "TR",
        country: "Turcja",
      },
      {
        __typename: "CountryDisplay",
        code: "TM",
        country: "Turkmenistan",
      },
      {
        __typename: "CountryDisplay",
        code: "AE",
        country: "Zjednoczone Emiraty Arabskie",
      },
      {
        __typename: "CountryDisplay",
        code: "UZ",
        country: "Uzbekistan",
      },
      {
        __typename: "CountryDisplay",
        code: "VN",
        country: "Wietnam",
      },
      {
        __typename: "CountryDisplay",
        code: "YE",
        country: "Jemen",
      },
    ],
    description: "Shipping zone description",
    id: "U2hpcHBpbmdab25lOjM=",
    metadata: [],
    name: "Asia",
    privateMetadata: [],
  },
  {
    __typename: "ShippingZone",
    countries: [
      {
        __typename: "CountryDisplay",
        code: "AI",
        country: "Anguilla",
      },
      {
        __typename: "CountryDisplay",
        code: "AG",
        country: "Antigua i Barbuda",
      },
      {
        __typename: "CountryDisplay",
        code: "AR",
        country: "Argentyna",
      },
      {
        __typename: "CountryDisplay",
        code: "AW",
        country: "Aruba",
      },
      {
        __typename: "CountryDisplay",
        code: "BS",
        country: "Bahamy",
      },
      {
        __typename: "CountryDisplay",
        code: "BB",
        country: "Barbados",
      },
      {
        __typename: "CountryDisplay",
        code: "BZ",
        country: "Belize",
      },
      {
        __typename: "CountryDisplay",
        code: "BM",
        country: "Bermudy",
      },
      {
        __typename: "CountryDisplay",
        code: "BO",
        country: "Boliwia",
      },
      {
        __typename: "CountryDisplay",
        code: "BQ",
        country: "Bonaire, Sint Eustatius i Saba",
      },
      {
        __typename: "CountryDisplay",
        code: "BV",
        country: "Wyspa Bouveta",
      },
      {
        __typename: "CountryDisplay",
        code: "BR",
        country: "Brazylia",
      },
      {
        __typename: "CountryDisplay",
        code: "CA",
        country: "Kanada",
      },
      {
        __typename: "CountryDisplay",
        code: "KY",
        country: "Kajmany",
      },
      {
        __typename: "CountryDisplay",
        code: "CL",
        country: "Chile",
      },
      {
        __typename: "CountryDisplay",
        code: "CO",
        country: "Kolumbia",
      },
      {
        __typename: "CountryDisplay",
        code: "CR",
        country: "Kostaryka",
      },
      {
        __typename: "CountryDisplay",
        code: "CU",
        country: "Kuba",
      },
      {
        __typename: "CountryDisplay",
        code: "CW",
        country: "Curaçao",
      },
      {
        __typename: "CountryDisplay",
        code: "DM",
        country: "Dominika",
      },
      {
        __typename: "CountryDisplay",
        code: "DO",
        country: "Dominikana",
      },
      {
        __typename: "CountryDisplay",
        code: "EC",
        country: "Ekwador",
      },
      {
        __typename: "CountryDisplay",
        code: "SV",
        country: "Salwador",
      },
      {
        __typename: "CountryDisplay",
        code: "FK",
        country: "Falklandy",
      },
      {
        __typename: "CountryDisplay",
        code: "GF",
        country: "Gujana Francuska",
      },
      {
        __typename: "CountryDisplay",
        code: "GL",
        country: "Grenlandia",
      },
      {
        __typename: "CountryDisplay",
        code: "GD",
        country: "Grenada",
      },
      {
        __typename: "CountryDisplay",
        code: "GP",
        country: "Gwadelupa",
      },
      {
        __typename: "CountryDisplay",
        code: "GT",
        country: "Gwatemala",
      },
      {
        __typename: "CountryDisplay",
        code: "GY",
        country: "Gujana",
      },
      {
        __typename: "CountryDisplay",
        code: "HT",
        country: "Haiti",
      },
      {
        __typename: "CountryDisplay",
        code: "HN",
        country: "Honduras",
      },
      {
        __typename: "CountryDisplay",
        code: "JM",
        country: "Jamajka",
      },
      {
        __typename: "CountryDisplay",
        code: "MQ",
        country: "Martynika",
      },
      {
        __typename: "CountryDisplay",
        code: "MX",
        country: "Meksyk",
      },
      {
        __typename: "CountryDisplay",
        code: "MS",
        country: "Montserrat",
      },
      {
        __typename: "CountryDisplay",
        code: "NI",
        country: "Nikaragua",
      },
      {
        __typename: "CountryDisplay",
        code: "PA",
        country: "Panama",
      },
      {
        __typename: "CountryDisplay",
        code: "PY",
        country: "Paragwaj",
      },
      {
        __typename: "CountryDisplay",
        code: "PE",
        country: "Peru",
      },
      {
        __typename: "CountryDisplay",
        code: "PR",
        country: "Portoryko",
      },
      {
        __typename: "CountryDisplay",
        code: "BL",
        country: "Saint-Barthélemy",
      },
      {
        __typename: "CountryDisplay",
        code: "KN",
        country: "Saint Kitts i Nevis",
      },
      {
        __typename: "CountryDisplay",
        code: "LC",
        country: "Saint Lucia",
      },
      {
        __typename: "CountryDisplay",
        code: "MF",
        country: "Saint-Martin",
      },
      {
        __typename: "CountryDisplay",
        code: "PM",
        country: "Saint-Pierre i Miquelon",
      },
      {
        __typename: "CountryDisplay",
        code: "VC",
        country: "Saint Vincent i Grenadyny",
      },
      {
        __typename: "CountryDisplay",
        code: "SX",
        country: "Sint Maarten",
      },
      {
        __typename: "CountryDisplay",
        code: "GS",
        country: "Georgia Południowa i Sandwich Południowy",
      },
      {
        __typename: "CountryDisplay",
        code: "SR",
        country: "Surinam",
      },
      {
        __typename: "CountryDisplay",
        code: "TT",
        country: "Trynidad i Tobago",
      },
      {
        __typename: "CountryDisplay",
        code: "TC",
        country: "Turks i Caicos",
      },
      {
        __typename: "CountryDisplay",
        code: "US",
        country: "Stany Zjednoczone Ameryki",
      },
      {
        __typename: "CountryDisplay",
        code: "UY",
        country: "Urugwaj",
      },
      {
        __typename: "CountryDisplay",
        code: "VE",
        country: "Wenezuela",
      },
      {
        __typename: "CountryDisplay",
        code: "VG",
        country: "Brytyjskie Wyspy Dziewicze",
      },
      {
        __typename: "CountryDisplay",
        code: "VI",
        country: "Wyspy Dziewicze Stanów Zjednoczonych",
      },
    ],
    description: "Shipping zone description",
    id: "U2hpcHBpbmdab25lOjQ=",
    metadata: [],
    name: "Americas",
    privateMetadata: [],
  },
  {
    __typename: "ShippingZone",
    countries: [
      {
        __typename: "CountryDisplay",
        code: "DZ",
        country: "Algeria",
      },
      {
        __typename: "CountryDisplay",
        code: "AO",
        country: "Angola",
      },
      {
        __typename: "CountryDisplay",
        code: "BJ",
        country: "Benin",
      },
      {
        __typename: "CountryDisplay",
        code: "BW",
        country: "Botswana",
      },
      {
        __typename: "CountryDisplay",
        code: "IO",
        country: "Brytyjskie Terytorium Oceanu Indyjskiego",
      },
      {
        __typename: "CountryDisplay",
        code: "BF",
        country: "Burkina Faso",
      },
      {
        __typename: "CountryDisplay",
        code: "BI",
        country: "Burundi",
      },
      {
        __typename: "CountryDisplay",
        code: "CV",
        country: "Republika Zielonego Przylądka",
      },
      {
        __typename: "CountryDisplay",
        code: "CM",
        country: "Kamerun",
      },
      {
        __typename: "CountryDisplay",
        code: "CF",
        country: "Republika Środkowoafrykańska",
      },
      {
        __typename: "CountryDisplay",
        code: "TD",
        country: "Czad",
      },
      {
        __typename: "CountryDisplay",
        code: "KM",
        country: "Komory",
      },
      {
        __typename: "CountryDisplay",
        code: "CG",
        country: "Kongo",
      },
      {
        __typename: "CountryDisplay",
        code: "CD",
        country: "Kongo",
      },
      {
        __typename: "CountryDisplay",
        code: "CI",
        country: "Wybrzeże Kości Słoniowej",
      },
      {
        __typename: "CountryDisplay",
        code: "DJ",
        country: "Dżibuti",
      },
      {
        __typename: "CountryDisplay",
        code: "EG",
        country: "Egipt",
      },
      {
        __typename: "CountryDisplay",
        code: "GQ",
        country: "Gwinea Równikowa",
      },
      {
        __typename: "CountryDisplay",
        code: "ER",
        country: "Erytrea",
      },
      {
        __typename: "CountryDisplay",
        code: "SZ",
        country: "Suazi",
      },
      {
        __typename: "CountryDisplay",
        code: "ET",
        country: "Etiopia",
      },
      {
        __typename: "CountryDisplay",
        code: "TF",
        country: "Francuskie Terytoria Południowe i Antarktyczne",
      },
      {
        __typename: "CountryDisplay",
        code: "GA",
        country: "Gabon",
      },
      {
        __typename: "CountryDisplay",
        code: "GM",
        country: "Gambia",
      },
      {
        __typename: "CountryDisplay",
        code: "GH",
        country: "Ghana",
      },
      {
        __typename: "CountryDisplay",
        code: "GN",
        country: "Gwinea",
      },
      {
        __typename: "CountryDisplay",
        code: "GW",
        country: "Gwinea Bissau",
      },
      {
        __typename: "CountryDisplay",
        code: "KE",
        country: "Kenia",
      },
      {
        __typename: "CountryDisplay",
        code: "LS",
        country: "Lesotho",
      },
      {
        __typename: "CountryDisplay",
        code: "LR",
        country: "Liberia",
      },
      {
        __typename: "CountryDisplay",
        code: "LY",
        country: "Libia",
      },
      {
        __typename: "CountryDisplay",
        code: "MG",
        country: "Madagaskar",
      },
      {
        __typename: "CountryDisplay",
        code: "MW",
        country: "Malawi",
      },
      {
        __typename: "CountryDisplay",
        code: "ML",
        country: "Mali",
      },
      {
        __typename: "CountryDisplay",
        code: "MR",
        country: "Mauretania",
      },
      {
        __typename: "CountryDisplay",
        code: "MU",
        country: "Mauritius",
      },
      {
        __typename: "CountryDisplay",
        code: "YT",
        country: "Majotta",
      },
      {
        __typename: "CountryDisplay",
        code: "MA",
        country: "Maroko",
      },
      {
        __typename: "CountryDisplay",
        code: "MZ",
        country: "Mozambik",
      },
      {
        __typename: "CountryDisplay",
        code: "NA",
        country: "Namibia",
      },
      {
        __typename: "CountryDisplay",
        code: "NE",
        country: "Niger",
      },
      {
        __typename: "CountryDisplay",
        code: "NG",
        country: "Nigeria",
      },
      {
        __typename: "CountryDisplay",
        code: "RE",
        country: "Reunion",
      },
      {
        __typename: "CountryDisplay",
        code: "RW",
        country: "Rwanda",
      },
      {
        __typename: "CountryDisplay",
        code: "SH",
        country:
          "Wyspa Świętej Heleny, Wyspa Wniebowstąpienia i Tristan da Cunha",
      },
      {
        __typename: "CountryDisplay",
        code: "ST",
        country: "Wyspy Świętego Tomasza i Książęca",
      },
      {
        __typename: "CountryDisplay",
        code: "SN",
        country: "Senegal",
      },
      {
        __typename: "CountryDisplay",
        code: "SC",
        country: "Seszele",
      },
      {
        __typename: "CountryDisplay",
        code: "SL",
        country: "Sierra Leone",
      },
      {
        __typename: "CountryDisplay",
        code: "SO",
        country: "Somalia",
      },
      {
        __typename: "CountryDisplay",
        code: "ZA",
        country: "Republika Południowej Afryki",
      },
      {
        __typename: "CountryDisplay",
        code: "SS",
        country: "Sudan Południowy",
      },
      {
        __typename: "CountryDisplay",
        code: "SD",
        country: "Sudan",
      },
      {
        __typename: "CountryDisplay",
        code: "TZ",
        country: "Tanzania",
      },
      {
        __typename: "CountryDisplay",
        code: "TG",
        country: "Togo",
      },
      {
        __typename: "CountryDisplay",
        code: "TN",
        country: "Tunezja",
      },
      {
        __typename: "CountryDisplay",
        code: "UG",
        country: "Uganda",
      },
      {
        __typename: "CountryDisplay",
        code: "EH",
        country: "Sahara Zachodnia",
      },
      {
        __typename: "CountryDisplay",
        code: "ZM",
        country: "Zambia",
      },
      {
        __typename: "CountryDisplay",
        code: "ZW",
        country: "Zimbabwe",
      },
    ],
    description: "Shipping zone description",
    id: "U2hpcHBpbmdab25lOjU=",
    metadata: [],
    name: "Africa",
    privateMetadata: [],
  },
];

export const shippingZone: ShippingZoneQuery["shippingZone"] = {
  __typename: "ShippingZone",
  default: true,
  channels: [
    { __typename: "Channel", id: "channel1", name: "GBP", currencyCode: "GBP" },

    { __typename: "Channel", id: "channel2", name: "PLN", currencyCode: "PLN" },
  ],
  countries: [
    {
      __typename: "CountryDisplay",
      code: "AX",
      country: "Wyspy Alandzkie",
    },
    {
      __typename: "CountryDisplay",
      code: "AL",
      country: "Albania",
    },
    {
      __typename: "CountryDisplay",
      code: "AD",
      country: "Andora",
    },
    {
      __typename: "CountryDisplay",
      code: "AT",
      country: "Austria",
    },
    {
      __typename: "CountryDisplay",
      code: "BY",
      country: "Białoruś",
    },
    {
      __typename: "CountryDisplay",
      code: "BE",
      country: "Belgia",
    },
    {
      __typename: "CountryDisplay",
      code: "BA",
      country: "Bośnia i Hercegowina",
    },
    {
      __typename: "CountryDisplay",
      code: "BG",
      country: "Bułgaria",
    },
    {
      __typename: "CountryDisplay",
      code: "HR",
      country: "Chorwacja",
    },
    {
      __typename: "CountryDisplay",
      code: "CZ",
      country: "Czechy",
    },
    {
      __typename: "CountryDisplay",
      code: "DK",
      country: "Dania",
    },
    {
      __typename: "CountryDisplay",
      code: "EE",
      country: "Estonia",
    },
    {
      __typename: "CountryDisplay",
      code: "FO",
      country: "Wyspy Owcze",
    },
    {
      __typename: "CountryDisplay",
      code: "FI",
      country: "Finlandia",
    },
    {
      __typename: "CountryDisplay",
      code: "FR",
      country: "Francja",
    },
    {
      __typename: "CountryDisplay",
      code: "DE",
      country: "Niemcy",
    },
    {
      __typename: "CountryDisplay",
      code: "GI",
      country: "Gibraltar",
    },
    {
      __typename: "CountryDisplay",
      code: "GR",
      country: "Grecja",
    },
    {
      __typename: "CountryDisplay",
      code: "GG",
      country: "Guernsey",
    },
    {
      __typename: "CountryDisplay",
      code: "VA",
      country: "Watykan",
    },
    {
      __typename: "CountryDisplay",
      code: "HU",
      country: "Węgry",
    },
    {
      __typename: "CountryDisplay",
      code: "IS",
      country: "Islandia",
    },
    {
      __typename: "CountryDisplay",
      code: "IE",
      country: "Irlandia",
    },
    {
      __typename: "CountryDisplay",
      code: "IM",
      country: "Wyspa Man",
    },
    {
      __typename: "CountryDisplay",
      code: "IT",
      country: "Włochy",
    },
    {
      __typename: "CountryDisplay",
      code: "JE",
      country: "Jersey",
    },
    {
      __typename: "CountryDisplay",
      code: "LV",
      country: "Łotwa",
    },
    {
      __typename: "CountryDisplay",
      code: "LI",
      country: "Liechtenstein",
    },
    {
      __typename: "CountryDisplay",
      code: "LT",
      country: "Litwa",
    },
    {
      __typename: "CountryDisplay",
      code: "LU",
      country: "Luksemburg",
    },
    {
      __typename: "CountryDisplay",
      code: "MK",
      country: "Macedonia",
    },
    {
      __typename: "CountryDisplay",
      code: "MT",
      country: "Malta",
    },
    {
      __typename: "CountryDisplay",
      code: "MD",
      country: "Mołdawia",
    },
    {
      __typename: "CountryDisplay",
      code: "MC",
      country: "Monako",
    },
    {
      __typename: "CountryDisplay",
      code: "ME",
      country: "Czarnogóra",
    },
    {
      __typename: "CountryDisplay",
      code: "NL",
      country: "Holandia",
    },
    {
      __typename: "CountryDisplay",
      code: "NO",
      country: "Norwegia",
    },
    {
      __typename: "CountryDisplay",
      code: "PL",
      country: "Polska",
    },
    {
      __typename: "CountryDisplay",
      code: "PT",
      country: "Portugalia",
    },
    {
      __typename: "CountryDisplay",
      code: "RO",
      country: "Rumunia",
    },
    {
      __typename: "CountryDisplay",
      code: "RU",
      country: "Rosja",
    },
    {
      __typename: "CountryDisplay",
      code: "SM",
      country: "San Marino",
    },
    {
      __typename: "CountryDisplay",
      code: "RS",
      country: "Serbia",
    },
    {
      __typename: "CountryDisplay",
      code: "SK",
      country: "Słowacja",
    },
    {
      __typename: "CountryDisplay",
      code: "SI",
      country: "Słowenia",
    },
    {
      __typename: "CountryDisplay",
      code: "ES",
      country: "Hiszpania",
    },
    {
      __typename: "CountryDisplay",
      code: "SJ",
      country: "Svalbard i Jan Mayen",
    },
    {
      __typename: "CountryDisplay",
      code: "SE",
      country: "Szwecja",
    },
    {
      __typename: "CountryDisplay",
      code: "CH",
      country: "Szwajcaria",
    },
    {
      __typename: "CountryDisplay",
      code: "UA",
      country: "Ukraina",
    },
    {
      __typename: "CountryDisplay",
      code: "GB",
      country: "Wielka Brytania",
    },
  ],
  description: "Shipping zone description",
  id: "U2hpcHBpbmdab25lOjE=",
  metadata: [],
  name: "Europe",
  privateMetadata: [],
  shippingMethods: [
    {
      __typename: "ShippingMethodType",
      taxClass: {
        __typename: "TaxClass",
        name: "Shipping method",
        id: "VGV4Q2xhc3M6MQ==",
      },
      channelListings: [
        {
          __typename: "ShippingMethodChannelListing",
          channel: {
            __typename: "Channel",
            currencyCode: "USD",
            id: "Q2hhbm5lbDo5",
            name: "Channel USD",
          },
          id: "U2hpcHBpbmdNZXRob2RDaGFubmVsTGlzdGluZzo0",
          maximumOrderPrice: {
            __typename: "Money",
            amount: 2,
            currency: "USD",
          },
          minimumOrderPrice: {
            __typename: "Money",
            amount: 1,
            currency: "USD",
          },
          price: {
            __typename: "Money",
            amount: 86.21,
            currency: "USD",
          },
        },
      ],
      excludedProducts: {
        __typename: "ProductCountableConnection",
        edges: [
          {
            __typename: "ProductCountableEdge",
            node: {
              __typename: "Product",
              id: "1",
              name: "Apple Juice",
              thumbnail: {
                __typename: "Image",
                url: "",
              },
            },
          },
        ],
        pageInfo: {
          __typename: "PageInfo",
          endCursor: "",
          hasNextPage: false,
          hasPreviousPage: false,
          startCursor: "",
        },
      },
      id: "U2hpcHBpbmdNZXRob2Q6NA==",
      maximumDeliveryDays: 10,
      maximumOrderWeight: {
        __typename: "Weight",
        unit: WeightUnitsEnum.KG,
        value: 80,
      },
      metadata: [],
      minimumDeliveryDays: 0,
      minimumOrderWeight: {
        __typename: "Weight",
        unit: WeightUnitsEnum.KG,
        value: 0,
      },
      name: "DB Schenker",
      description: `{"time": 1618487908762, "blocks": [{"data": {"text": "General shipping method"}, "type": "paragraph"}], "version": "2.20.0"}`,
      postalCodeRules: [
        {
          __typename: "ShippingMethodPostalCodeRule",
          end: "51-220",
          id: "1",
          inclusionType: PostalCodeRuleInclusionTypeEnum.EXCLUDE,
          start: "51-210",
        },
        {
          __typename: "ShippingMethodPostalCodeRule",
          end: "51-240",
          id: "2",
          inclusionType: PostalCodeRuleInclusionTypeEnum.EXCLUDE,
          start: "51-235",
        },
        {
          __typename: "ShippingMethodPostalCodeRule",
          end: null,
          id: "2",
          inclusionType: PostalCodeRuleInclusionTypeEnum.EXCLUDE,
          start: "51-274",
        },
      ],
      privateMetadata: [],
      type: ShippingMethodTypeEnum.WEIGHT,
    },
    {
      __typename: "ShippingMethodType",
      taxClass: {
        __typename: "TaxClass",
        name: "Shipping method",
        id: "VGV4Q2xhc3M6MQ==",
      },
      channelListings: [],
      excludedProducts: {
        __typename: "ProductCountableConnection",
        edges: [
          {
            __typename: "ProductCountableEdge",
            node: {
              __typename: "Product",
              id: "1",
              name: "Apple Juice",
              thumbnail: {
                __typename: "Image",
                url: "",
              },
            },
          },
        ],
        pageInfo: {
          __typename: "PageInfo",
          endCursor: "",
          hasNextPage: false,
          hasPreviousPage: false,
          startCursor: "",
        },
      },
      id: "U2hpcHBpbmdNZXRob2Q6Mw==",
      maximumDeliveryDays: 10,
      maximumOrderWeight: null,
      metadata: [],
      minimumDeliveryDays: 0,
      minimumOrderWeight: {
        __typename: "Weight",
        unit: WeightUnitsEnum.KG,
        value: 0,
      },
      name: "Registred priority",
      description: `{"time": 1618487908762, "blocks": [{"data": {"text": "Priority shipping method"}, "type": "paragraph"}], "version": "2.20.0"}`,
      postalCodeRules: [
        {
          __typename: "ShippingMethodPostalCodeRule",
          end: "51-220",
          id: "1",
          inclusionType: PostalCodeRuleInclusionTypeEnum.EXCLUDE,
          start: "51-210",
        },
        {
          __typename: "ShippingMethodPostalCodeRule",
          end: "51-240",
          id: "2",
          inclusionType: PostalCodeRuleInclusionTypeEnum.EXCLUDE,
          start: "51-235",
        },
        {
          __typename: "ShippingMethodPostalCodeRule",
          end: null,
          id: "2",
          inclusionType: PostalCodeRuleInclusionTypeEnum.EXCLUDE,
          start: "51-274",
        },
      ],
      privateMetadata: [],
      type: ShippingMethodTypeEnum.WEIGHT,
    },
    {
      __typename: "ShippingMethodType",
      taxClass: {
        __typename: "TaxClass",
        name: "Shipping method",
        id: "VGV4Q2xhc3M6MQ==",
      },
      channelListings: [],
      excludedProducts: {
        __typename: "ProductCountableConnection",
        edges: [
          {
            __typename: "ProductCountableEdge",
            node: {
              __typename: "Product",
              id: "1",
              name: "Apple Juice",
              thumbnail: {
                __typename: "Image",
                url: "",
              },
            },
          },
        ],
        pageInfo: {
          __typename: "PageInfo",
          endCursor: "",
          hasNextPage: false,
          hasPreviousPage: false,
          startCursor: "",
        },
      },
      id: "U2hpcHBpbmdNZXRob2Q6Mg==",
      maximumDeliveryDays: 10,
      maximumOrderWeight: null,
      metadata: [],
      minimumDeliveryDays: 0,
      minimumOrderWeight: {
        __typename: "Weight",
        unit: WeightUnitsEnum.KG,
        value: 0,
      },
      name: "UPS",
      description: `{"time": 1618487908762, "blocks": [{"data": {"text": "Different shipping method"}, "type": "paragraph"}], "version": "2.20.0"}`,
      postalCodeRules: [
        {
          __typename: "ShippingMethodPostalCodeRule",
          end: "51-220",
          id: "1",
          inclusionType: PostalCodeRuleInclusionTypeEnum.EXCLUDE,
          start: "51-210",
        },
        {
          __typename: "ShippingMethodPostalCodeRule",
          end: "51-240",
          id: "2",
          inclusionType: PostalCodeRuleInclusionTypeEnum.EXCLUDE,
          start: "51-235",
        },
        {
          __typename: "ShippingMethodPostalCodeRule",
          end: null,
          id: "2",
          inclusionType: PostalCodeRuleInclusionTypeEnum.EXCLUDE,
          start: "51-274",
        },
      ],
      privateMetadata: [],
      type: ShippingMethodTypeEnum.PRICE,
    },
    {
      __typename: "ShippingMethodType",
      taxClass: {
        __typename: "TaxClass",
        name: "Shipping method",
        id: "VGV4Q2xhc3M6MQ==",
      },
      channelListings: [],
      excludedProducts: {
        __typename: "ProductCountableConnection",
        edges: [],
        pageInfo: {
          __typename: "PageInfo",
          endCursor: "",
          hasNextPage: false,
          hasPreviousPage: false,
          startCursor: "",
        },
      },
      id: "U2hpcHBpbmdNZXRob2Q6MQ==",
      maximumDeliveryDays: 10,
      maximumOrderWeight: null,
      metadata: [],
      minimumDeliveryDays: 0,
      minimumOrderWeight: {
        __typename: "Weight",
        unit: WeightUnitsEnum.KG,
        value: 0,
      },
      name: "DHL",
      description: `{"time": 1618487908762, "blocks": [{"data": {"text": "Different shipping method"}, "type": "paragraph"}], "version": "2.20.0"}`,
      postalCodeRules: [
        {
          __typename: "ShippingMethodPostalCodeRule",
          end: "51-220",
          id: "1",
          inclusionType: PostalCodeRuleInclusionTypeEnum.EXCLUDE,
          start: "51-210",
        },
        {
          __typename: "ShippingMethodPostalCodeRule",
          end: "51-240",
          id: "2",
          inclusionType: PostalCodeRuleInclusionTypeEnum.EXCLUDE,
          start: "51-235",
        },
        {
          __typename: "ShippingMethodPostalCodeRule",
          end: null,
          id: "2",
          inclusionType: PostalCodeRuleInclusionTypeEnum.EXCLUDE,
          start: "51-274",
        },
      ],
      privateMetadata: [],
      type: ShippingMethodTypeEnum.PRICE,
    },
  ],
  warehouses: [
    {
      __typename: "Warehouse",
      id: "V2FyZWhvdXNlOmEzMThmMGZlLTcwMmYtNDNjYy1hYmFjLWZmZmMzN2Y3ZTliYw==",
      name: "C our wares",
    },
    {
      __typename: "Warehouse",
      id: "V2FyZWhvdXNlOjJmN2UyOTlmLWEwMzMtNDhjZS1iYmM5LTFkZDM4NjU2ZjMwYw==",
      name: "Be stocked",
    },
  ],
};

export const products: RelayToFlat<SearchProductsQuery["search"]> = [
  {
    __typename: "Product",
    id: "1",
    name: "Apple Juice",
    thumbnail: {
      __typename: "Image",
      url: "",
    },
    collections: [{ __typename: "Collection", id: "Q29sbGVjdGlvbjo0" }],
    variants: [
      {
        __typename: "ProductVariant",
        id: "UHJvZHVjdFZhcmlhbnQ6MjAz",
        name: "1l",
        sku: "43226647",
        channelListings: [
          {
            __typename: "ProductVariantChannelListing",
            channel: {
              __typename: "Channel",
              id: "Q2hhbm5lbDox",
              isActive: true,
              name: "Channel-USD",
              currencyCode: "USD",
            },
            price: {
              __typename: "Money",
              amount: 5,
              currency: "USD",
            },
          },
          {
            __typename: "ProductVariantChannelListing",
            channel: {
              __typename: "Channel",
              id: "Q2hhbm5lbDoy",
              isActive: true,
              name: "Channel-PLN",
              currencyCode: "PLN",
            },
            price: {
              __typename: "Money",
              amount: 20,
              currency: "PLN",
            },
          },
        ],
      },
    ],
  },
];
